[package]
name = "recipes"
version = "1.0.0"
authors = ["GrÃ©gory Burri <greg.burri@gmail.com>"]
edition = "2021"

[dependencies]
common = {path = "../common"}

actix-web = "4"
actix-files = "0.6"
serde = {version = "1.0", features = ["derive"]}

chrono = "0.4"

ron = "0.8" # Rust object notation, to load configuration files.
itertools = "0.10"
clap = {version = "4", features = ["derive"]}

log = "0.4"
env_logger = "0.9"

r2d2_sqlite = "0.21" # Connection pool with rusqlite (SQLite access).
r2d2 = "0.8"
rusqlite = {version = "0.28", features = ["bundled", "chrono"]}

futures = "0.3" # Needed by askam with the feature 'with-actix-web'.

askama = {version = "0.11", features = ["with-actix-web", "mime", "mime_guess", "markdown"]}
askama_actix = "0.13"

argon2 = {version = "0.4", features = ["default", "std"]}
rand_core = {version = "0.6", features = ["std"]}

rand = "0.8"

lettre = {version = "0.10", default-features = false, features = ["smtp-transport", "pool", "hostname", "builder", "rustls-tls"]}
